#!/bin/sh
#
# name:        /etc/rc.d/nrservice.sh
# description: Starts and stops NeoRouter client service
# os:          FreeBSD
# contact:     support@neorouter.com 
#
# PROVIDE: nrservice
# REQUIRE: DAEMON
# KEYWORD: shutdown

. /etc/rc.subr

name="nrservice"
rcvar=`set_rcvar`
start_cmd="${name}_start"
stop_cmd="${name}_stop"
pidfile="/var/run/${name}.pid"
DAEMON="/usr/local/bin/${name}"

nrservice_start() 
{
	echo -n "Starting ${name} services: "
	/usr/sbin/daemon -f -p $pidfile $DAEMON >/dev/null &
	if [ $? -eq 0 ]
	then
	    echo "SUCCESS"
	else
	    echo "FAILED"
	fi
}	

nrservice_stop() 
{
	echo -n "Shutting down ${name} services: "
	pkill $name
	if [ $? -eq 0 ]
	then
	    echo "SUCCESS"
	else
	    echo "FAILED"
	fi
}	

load_rc_config $name
run_rc_command "$1"

